List Blogs

View as Markdown
Lists all blogs under a specific publication.

Path parameters

publication_idintegerRequired
The ID of the publication

Query parameters

statusstringOptional

Filter blogs by status (draft, published, scheduled)

Request

This endpoint expects an object.
titlestringRequired<=255 characters
ownerobjectRequired
publisher_creatorobjectRequired
deleted_atdatetime or nullOptional
is_activebooleanOptional
created_bystring or nullOptional<=255 characters
updated_bystring or nullOptional<=255 characters
deleted_bystring or nullOptional<=255 characters
publication_idintegerOptional
cover_imagestring or nullOptionalformat: "uri"
contentstring or nullOptional
focus_areastring or nullOptional
tagslist of anyOptional
visibilityenumOptional
* `public` - Public * `private` - Private * `team` - Team * `org` - Organization
Allowed values:
is_draftbooleanOptional
Whether this blog is a draft
disable_commentsbooleanOptional
typeenumOptional
  • free - Free
  • paid - Paid
Allowed values:
schedule_datedatetime or nullOptional
published_datedatetime or nullOptional

Response

List of blogs
idintegerRead-only
uidstringRead-onlyformat: "uuid"
created_atdatetimeRead-only
updated_atdatetimeRead-only
publicationinteger or nullRead-only
Publication this blog belongs to. Can be null for standalone blogs.
publication_custom_urlstringRead-only
publication_namestringRead-only
titlestring<=255 characters
source_experienceinteger or nullRead-only
The experience this blog was created from
category_namestringRead-only
subcategory_namestringRead-only
ownerobject
statusstringRead-only
user_bookmarkedbooleanRead-only
summarymap from strings to stringsRead-only
publisher_namestringRead-only
publisher_creatorobject
reading_timestringRead-only
metricsstringRead-only
generation_statusstringRead-only
has_generation_in_progressstringRead-only
is_ready_for_reviewstringRead-only
deleted_atdatetime or null
is_activeboolean
created_bystring or null<=255 characters
updated_bystring or null<=255 characters
deleted_bystring or null<=255 characters
cover_imagestring or nullformat: "uri"
contentstring or null
focus_areastring or null
tagslist of any
visibilityenum
* `public` - Public * `private` - Private * `team` - Team * `org` - Organization
Allowed values:
is_draftboolean
Whether this blog is a draft
disable_commentsboolean
typeenum
  • free - Free
  • paid - Paid
Allowed values:
schedule_datedatetime or null
published_datedatetime or null

Errors

404
Not Found Error